/** *************************************************************************
 **
 ** Copyright (C) 2013 Heinz van Saanen
 **
 ** This file is part of the function viewer Zhu3D.
 **
 ** This file may be used under the terms of the GNU General Public
 ** License version 3 as published by the Free Software Foundation
 ** and appearing in the file LICENSE.GPL included in the packaging of
 ** this file.
 **
 ** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 ** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 **
****************************************************************************/

#ifndef _SYSTEMINFO_H_
#define _SYSTEMINFO_H_

#include <QObject>
#include <QString>
#include <QtOpenGL>    // For OpenGL-checks
#include <cstdlib>     // Just for getenv() ...

#include "glwidget.h"
#include "debug.h"


/** Very simplistic */
void initSysInfo();      // Init QStrings for translation only
QString systemInfo();    // Do the real work


/** _SYSTEMINFO_H_ */
#endif
